#include <iostream>

#include <crdb.h>

int main(int argc, char* argv[]) {

    if (argc != 4) {
        throw std::runtime_error(std::string(argv[0]) + "  <data file>  <curve file> <band file>");
    }

    CRPlot plot("B/C Test Plot");

    CRDataset ds;
    ds.parse_file(argv[1]);
    auto data = ds.find_match("B/C", "AMS02");
    plot.AddData(*data, {2, 20, 1});

    // plot.AddCurve(argv[2], {3, 2, 2}, "fitted B/C");
    plot.AddBand(argv[3], {4, 2, 2, 1020}, "fitted B/C");

    plot.log_y = false;
    plot.x_label = "E_{kin}/nuc [GeV/n]";
    plot.y_label = "B/C";

    auto canvas = plot.Plot();
    canvas->SaveAs("test_plot.pdf");

    return 0;
}
